.loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--primary-bg);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.loader {
    display: flex;
    gap: 10px;
}

.loader::before,
.loader::after,
.loader div {
    content: '';
    width: 15px;
    height: 15px;
    background-color: var(--button-primary);
    border-radius: 50%;
    animation: bounce 1.2s infinite ease-in-out;
}

.loader div {
    background-color: var(--button-accent);
    animation-delay: -0.4s;
}

.loader::after {
    background-color: var(--button-secondary);
    animation-delay: -0.8s;
}

@keyframes bounce {
    0%, 80%, 100% {
        transform: scale(0);
    }
    40% {
        transform: scale(1);
    }
}